[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStringList.IndexOf

Overrides the TStrings.IndexOf property.

## Declaration

Source position: classesh.inc line 757

`public function TStringList.IndexOf(`
`const S: string`
`):Integer; override;`

## Description

IndexOf overrides the ancestor method TStrings.indexOf. It tries to optimize the search by executing a binary search if the list is sorted. The function returns the position of S if it is found in the list, or -1 if the string is not found in the list.

## See also

TStrings.IndexOf |  | Find a string in the list and return its position.
TStringList.Find |  | Locates the index for a given string in sorted lists.

Documentation generated on: Feb 26 2014